export const RPL_ERROR = [
  ['401', 'ERR_NOSUCHNICK', '<nickname> :No such nick/channel'],
  ['402', 'ERR_NOSUCHSERVER', '<server name> :No such server'],
  ['403', 'ERR_NOSUCHCHANNEL', '<channel name> :No such channel'],
  ['404', 'ERR_CANNOTSENDTOCHAN', '<channel name> :Cannot send to channel'],
  [
    '405',
    'ERR_TOOMANYCHANNELS',
    '<channel name> :You have joined too many channels',
  ],
  ['406', 'ERR_WASNOSUCHNICK', '<nickname> :There was no such nickname'],
  [
    '407',
    'ERR_TOOMANYTARGETS',
    '<target> :Duplicate recipients. No message delivered',
  ],
  ['409', 'ERR_NOORIGIN', ':No origin specified'],
  ['411', 'ERR_NORECIPIENT', ':No recipient given (<command>)'],
  ['412', 'ERR_NOTEXTTOSEND', ':No text to send'],
  ['413', 'ERR_NOTOPLEVEL', '<mask> :No toplevel domain specified'],
  ['414', 'ERR_WILDTOPLEVEL', '<mask> :Wildcard in toplevel domain'],
  ['421', 'ERR_UNKNOWNCOMMAND', '<command> :Unknown command'],
  ['422', 'ERR_NOMOTD', ':MOTD File is missing'],
  ['423', 'ERR_NOADMININFO', '<server> :No administrative info available'],
  ['424', 'ERR_FILEERROR', ':File error doing <file op> on <file>'],
  ['431', 'ERR_NONICKNAMEGIVEN', ':No nickname given'],
  ['432', 'ERR_ERRONEUSNICKNAME', '<nick> :Erroneus nickname'],
  ['433', 'ERR_NICKNAMEINUSE', '<nick> :Nickname is already in use'],
  ['436', 'ERR_NICKCOLLISION', '<nick> :Nickname collision KILL'],
  [
    '441',
    'ERR_USERNOTINCHANNEL',
    "<nick> <channel> :They aren't on that channel",
  ],
  ['442', 'ERR_NOTONCHANNEL', "<channel> :You're not on that channel"],
  ['443', 'ERR_USERONCHANNEL', '<user> <channel> :is already on channel'],
  ['444', 'ERR_NOLOGIN', '<user> :User not logged in'],
  ['445', 'ERR_SUMMONDISABLED', ':SUMMON has been disabled'],
  ['446', 'ERR_USERSDISABLED', ':USERS has been disabled'],
  ['451', 'ERR_NOTREGISTERED', ':You have not registered'],
  ['461', 'ERR_NEEDMOREPARAMS', '<command> :Not enough parameters'],
  ['462', 'ERR_ALREADYREGISTRED', ':You may not reregister'],
  ['463', 'ERR_NOPERMFORHOST', ":Your host isn't among the privileged"],
  ['464', 'ERR_PASSWDMISMATCH', ':Password incorrect'],
  ['465', 'ERR_YOUREBANNEDCREEP', ':You are banned from this server'],
  ['467', 'ERR_KEYSET', '<channel> :Channel key already set'],
  ['471', 'ERR_CHANNELISFULL', '<channel> :Cannot join channel (+l)'],
  ['472', 'ERR_UNKNOWNMODE', '<char> :is unknown mode char to me'],
  ['473', 'ERR_INVITEONLYCHAN', '<channel> :Cannot join channel (+i)'],
  ['474', 'ERR_BANNEDFROMCHAN', '<channel> :Cannot join channel (+b)'],
  ['475', 'ERR_BADCHANNELKEY', '<channel> :Cannot join channel (+k)'],
  ['481', 'ERR_NOPRIVILEGES', ":Permission Denied- You're not an IRC operator"],
  ['482', 'ERR_CHANOPRIVSNEEDED', "<channel> :You're not channel operator"],
  ['483', 'ERR_CANTKILLSERVER', ':You cant kill a server!'],
  ['489', 'ERR_SECUREONLYCHAN', '<channel> :Secure connection required'],
  ['491', 'ERR_NOOPERHOST', ':No O-lines for your host'],
  ['501', 'ERR_UMODEUNKNOWNFLAG', ':Unknown MODE flag'],
  ['502', 'ERR_USERSDONTMATCH', ':Cant change mode for other users'],
  [
    '902',
    'ERR_NICKLOCKED',
    '<nick> <nick> :You must use a nick assigned to you',
  ],
  ['904', 'ERR_SASLFAIL', '<nick> :SASL authentication failed'],
  ['905', 'ERR_SASLTOOLONG', '<nick> :SASL message too long'],
  ['906', 'ERR_SASLABORTED', '<nick> :SASL authentication aborted'],
  [
    '907',
    'ERR_SASLALREADY',
    '<nick> :You have already authenticated using SASL',
  ],
];
